Function
length
The number of items/characters.
Size length(object)
Include Headers
seqan/blast.h, seqan/file.h, seqan/sequence.h
Parameters

object | A container. Types: Container: ModifiedString, String BlastHsp, char array, Finder, FrequencyDistribution, Gaps, Gaps, Index, Map, MaxRepeats Iterator, Pipe, Pool, PriorityType, Segment, Shape, Shape, std::basic_string, std::list, std::vector, StringSet

Remarks
The length of a sequence can never exceed it's capacity.
Return Values
The number of items/characters in object.
Metafunctions: Size
Part of Concept
Container
See Also
capacity, clear, shrinkToFit, empty, difference, resize
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48